from unittest.mock import patch

from flask import Flask

from ucam_faas import FaaSGunicornApplication


def test_faas_gunicorn_application_bind():
    app = Flask(__name__)
    application = FaaSGunicornApplication(app, "0.0.0.0", "8080")

    with patch("gunicorn.app.base.BaseApplication.run") as mock_run:
        application.run()
        mock_run.assert_called_once()  # Ensures that the server's run method was indeed called
